Index: LVM2.2.02.188/libdm/ioctl/libdm-iface.c
===================================================================
--- LVM2.2.02.188.orig/libdm/ioctl/libdm-iface.c
+++ LVM2.2.02.188/libdm/ioctl/libdm-iface.c
@@ -562,6 +562,7 @@ static int _check_version(char *version,
 	dm_task_destroy(task);
 	_log_suppress = 0;
 
+	log_info("SUSE: _check_version -> %d\n", r);
 	return r;
 }
 
@@ -585,11 +586,11 @@ int dm_check_version(void)
 	if (!_dm_compat)
 		goto_bad;
 
-	log_verbose("device-mapper ioctl protocol version %u failed. "
-		    "Trying protocol version 1.", _dm_version);
+	log_info("SUSE: device-mapper ioctl protocol version %u failed. "
+		 "Trying protocol version 1.", _dm_version);
 	_dm_version = 1;
 	if (_check_version(dmversion, sizeof(dmversion), 0)) {
-		log_verbose("Using device-mapper ioctl protocol version 1");
+		log_info("SUSE: Using device-mapper ioctl protocol version 1");
 		return 1;
 	}
 
@@ -608,6 +609,10 @@ int dm_check_version(void)
 
 int dm_cookie_supported(void)
 {
+	int tmp = (dm_check_version() &&
+		_dm_version >= 4 &&
+		_dm_version_minor >= 15);
+	log_info("SUSE: dm_cookie_supported -> %d\n", tmp);
 	return (dm_check_version() &&
 		_dm_version >= 4 &&
 		_dm_version_minor >= 15);
Index: LVM2.2.02.188/libdm/libdm-common.c
===================================================================
--- LVM2.2.02.188.orig/libdm/libdm-common.c
+++ LVM2.2.02.188/libdm/libdm-common.c
@@ -88,8 +88,11 @@ void dm_lib_init(void)
 {
 	const char *env;
 
-	if (getenv("DM_DISABLE_UDEV"))
+	if (getenv("DM_DISABLE_UDEV")) {
+		log_info("SUSE: DM_DISABLE_UDEV = true\n");
 		_udev_disabled = 1;
+	} else
+		log_info("SUSE: DM_DISABLE_UDEV = false\n");
 
 	_name_mangling_mode = DEFAULT_DM_NAME_MANGLING;
 	if ((env = getenv(DM_DEFAULT_NAME_MANGLING_MODE_ENV_VAR_NAME))) {
@@ -2255,6 +2258,7 @@ void dm_udev_set_sync_support(int sync_w
 
 int dm_udev_get_sync_support(void)
 {
+	log_info("SUSE: This really should not happen, but just in case.");
 	return 0;
 }
 
@@ -2301,6 +2305,7 @@ int dm_udev_wait_immediate(uint32_t cook
 
 static int _check_semaphore_is_supported(void)
 {
+	log_info("SUSE: _check_semaphore_is_supported()\n");
 	int maxid;
 	union semun arg;
 	struct seminfo seminfo;
@@ -2309,7 +2314,7 @@ static int _check_semaphore_is_supported
 	maxid = semctl(0, 0, SEM_INFO, arg);
 
 	if (maxid < 0) {
-		log_warn("Kernel not configured for semaphores (System V IPC). "
+		log_info("SUSE: Kernel not configured for semaphores (System V IPC). "
 			 "Not using udev synchronisation code.");
 		return 0;
 	}
@@ -2319,6 +2324,7 @@ static int _check_semaphore_is_supported
 
 static int _check_udev_is_running(void)
 {
+	log_info("SUSE: _check_udev_is_running()\n");
 	struct udev *udev;
 	struct udev_queue *udev_queue;
 	int r;
@@ -2332,43 +2338,51 @@ static int _check_udev_is_running(void)
 	}
 
 	if (!(r = udev_queue_get_udev_is_active(udev_queue)))
-		log_debug_activation("Udev is not running. "
-				     "Not using udev synchronisation code.");
+		log_info("SUSE: Udev is not running. "
+			 "Not using udev synchronisation code.\n");
 
 	udev_queue_unref(udev_queue);
 	udev_unref(udev);
 
+	log_info("SUSE: _check_udev_is_running -> %d\n", r);
 	return r;
 
 bad:
-	log_error("Could not get udev state. Assuming udev is not running.");
+	log_info("SUSE: Could not get udev state. Assuming udev is not running.");
 	return 0;
 }
 
 static void _check_udev_sync_requirements_once(void)
 {
+	log_info("SUSE: _check_udev_sync_requirements_once()\n");
 	if (_semaphore_supported < 0)
 		_semaphore_supported = _check_semaphore_is_supported();
 
 	if (_udev_running < 0) {
 		_udev_running = _check_udev_is_running();
 		if (_udev_disabled && _udev_running)
-			log_warn("Udev is running and DM_DISABLE_UDEV environment variable is set. "
+			log_info("SUSE: Udev is running and DM_DISABLE_UDEV environment variable is set. "
 				 "Bypassing udev, device-mapper library will manage device "
-				 "nodes in device directory.");
+				 "nodes in device directory.\n");
 	}
 }
 
 void dm_udev_set_sync_support(int sync_with_udev)
 {
+	log_info("SUSE: dm_udev_set_sync_support(%d)\n", sync_with_udev);
 	_check_udev_sync_requirements_once();
 	_sync_with_udev = sync_with_udev;
+	log_info("SUSE: dm_udev_set_sync_support -> %d\n", _sync_with_udev);
 }
 
 int dm_udev_get_sync_support(void)
 {
+	log_info("SUSE: dm_udev_get_sync_support()\n");
 	_check_udev_sync_requirements_once();
 
+	int tmp = !_udev_disabled && _semaphore_supported &&
+		dm_cookie_supported() &&_udev_running && _sync_with_udev;
+	log_info("SUSE: dm_udev_get_sync_support -> %d\n", tmp);
 	return !_udev_disabled && _semaphore_supported &&
 		dm_cookie_supported() &&_udev_running && _sync_with_udev;
 }
@@ -2376,9 +2390,9 @@ int dm_udev_get_sync_support(void)
 void dm_udev_set_checking(int checking)
 {
 	if ((_udev_checking = checking))
-		log_debug_activation("DM udev checking enabled");
+		log_info("SUSE: DM udev checking enabled\n");
 	else
-		log_debug_activation("DM udev checking disabled");
+		log_info("SUSE: DM udev checking disabled\n");
 }
 
 int dm_udev_get_checking(void)
